Skip to main content
`Ctrl`+`K`

# scipy.special.radian

scipy.special.radian(d, m, s, out=None) = <ufunc 'radian'>

  Convert from degrees to radians.

  Returns the angle given in (d)egrees, (m)inutes, and (s)econds in radians.

  Parameters:
    d array_like

      Degrees, can be real-valued.

    m array_like

      Minutes, can be real-valued.

    s array_like

      Seconds, can be real-valued.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Values of the inputs in radians.

  Examples

      >>> import scipy.special as sc

  There are many ways to specify an angle.

      >>> sc.radian(90, 0, 0)
      1.5707963267948966
      >>> sc.radian(0, 60 * 90, 0)
      1.5707963267948966
      >>> sc.radian(0, 0, 60**2 * 90)
      1.5707963267948966

  The inputs can be real-valued.

      >>> sc.radian(1.5, 0, 0)
      0.02617993877991494
      >>> sc.radian(1, 30, 0)
      0.02617993877991494